#ifndef PIPE_NODETRAN_H
#define PIPE_NODETRAN_H

#include "pipe/pipe.h"
#include <time.h>

typedef struct PipeNodeTrans {
	Pipe	IOPipe;
	int	inhandshake;
	int	outhandshake;
} PipeNodeTrans;

#define BLANKPIPENODETRANS {BLANKPIPE_PIPE, 1, 1}


Pipe *pipenodetransMake(char *pipename, char *options);
void pipenodetransFree(PipeNodeTrans *ps);
void pipenodetransRead(PipeNodeTrans *thispipe, Pipe **errPipe);
void pipenodetransWrite(PipeNodeTrans *thispipe, Pipe **errPipe);
void pipenodetransAttach(PipeNodeTrans *thispipe);
void pipenodetransDetach(PipeNodeTrans *thispipe);
void pipenodetransClose(PipeNodeTrans *thispipe);
void pipenodetransStatus(PipeNodeTrans *thispipe, int *status);


extern int nodetransget;
extern int nodetranssend;
extern char *nodetransfile;


#endif //PIPE_NODETRAN_H


